Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161545 - -devel package should be split off
Summary: -devel package should be split off
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-python
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Vander Stichele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 05:47 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-15 09:19:36 UTC


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2005-06-24 05:47:13 UTC
Having pygtk2-devel and gstreamer-devel as runtime requirements for
gstreamer-python causes fedora-rmdevelrpms to fail. The proper way to fix this
is to of course split off a -devel package.

Comment 1 Thomas Vander Stichele 2005-06-24 18:13:56 UTC
Hm. fedora-rmdevelrpms is a really bad program anyway, it's doing something
people shouldn't be doing.  To be honest, I see no reason yet to split off a
-devel package because not much is in it.  Some other packages do the same thing.

You should consider using something other than fedora-develrpms, like a proper
build program that builds in its own root instead of your system.

Comment 2 Thomas Vander Stichele 2006-06-15 09:19:36 UTC
no reply, closing.


Note You need to log in before you can comment on or make changes to this bug.